#!/usr/bin/env python
#
# This file is part of Spelling Bee
# Author(s): Katie Lemon, Girlstart
# Copyright 2008
#
# Source code is derived from Girlstart's Project IT Girl Game Templates:
# http://itgirl.dreamhosters.com/itgirlgames/, http://www.girlstart.org/itgirl
# See the credits file for image sources.
#
# Spelling Bee is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# Spelling Bee is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with Spelling Bee.  If not, see <http://www.gnu.org/licenses/>.

import sys, pygame, random, os, datetime, time
from helpers import *
from ActivityGenerator import *
pygame.init()

# Set up the window
windowsize = windowwidth, windowheight = 800, 600
screen = pygame.display.set_mode(windowsize)
area = screen.get_rect()
background,background_rect = load_image("YellowBackground.png")

# Set up the activity generator
activity = ActivityGenerator(background)




# Start screen
start_game = False



while not start_game:
	for event in pygame.event.get():
		if event.type == pygame.QUIT:
			sys.exit() # if the user closed the window, quit the game
		elif event.type == pygame.KEYDOWN: # if the user pressed a key
			start_game = True # start the game
		
	# Draw everything to the screen
	screen.blit(background, (0, 0))	# draw over everything on the screen now by re-drawing the background

	# Draw the instructions
	font = pygame.font.Font("data/fonts/Breip.ttf", 75)
	text = font.render("Welcome to Spelling Bee!", 1, (0,0,0))
	textrect = text.get_rect()
	textrect.centerx, textrect.centery = area.width/2,area.height/2-100
	screen.blit(text, textrect)
	
	font = pygame.font.Font("data/fonts/Breip.ttf", 40)
	text = font.render("Can you spell F-U-N?", 1, (0,0,0))
	textrect = text.get_rect()
	textrect.centerx, textrect.centery = area.width/2,area.height/2
	screen.blit(text, textrect)
	
	font = pygame.font.Font("data/fonts/Breip.ttf", 50)
	text = font.render("Press any key to continue.", 1, (0,0,0))
	textrect = text.get_rect()
	textrect.centerx, textrect.centery = area.width/2,area.height/2+50
	screen.blit(text, textrect)
	
	pygame.display.flip() # make everything we have drawn on the screen become visible in the window

# Main game play


# Start screen
start_game = False
while not start_game:
	for event in pygame.event.get():
		if event.type == pygame.QUIT:
			sys.exit() # if the user closed the window, quit the game
		elif event.type == pygame.KEYDOWN: # if the user pressed a key
			start_game = True # start the game
		
	# Draw everything to the screen
	screen.blit(background, (0, 0))	# draw over everything on the screen now by re-drawing the background

	# Draw the instructions
	font = pygame.font.Font("data/fonts/Breip.ttf", 70)
	text = font.render("Mr. Bumbles needs your help!", 1, (0,0,0))
	textrect = text.get_rect()
	textrect.centerx, textrect.centery = area.width/2,area.height/2-100
	screen.blit(text, textrect)
	
	font = pygame.font.Font("data/fonts/Breip.ttf", 25)
	text = font.render("Instructions: When the pictures come up on the screen", 1, (0,0,0))
	textrect = text.get_rect()
	textrect.centerx, textrect.centery = area.width/2,area.height/2
	screen.blit(text, textrect)
	
	font = pygame.font.Font("data/fonts/Breip.ttf", 25)
	text = font.render("use your keyboard to type the word. Make sure you spell", 1, (0,0,0))
	textrect = text.get_rect()
	textrect.centerx, textrect.centery = area.width/2,area.height/1.8
	screen.blit(text, textrect)
	
	font = pygame.font.Font("data/fonts/Breip.ttf", 25)
	text = font.render("it correctly, and quickly- you only have 1 minute!", 1, (0,0,0))
	textrect = text.get_rect()
	textrect.centerx, textrect.centery = area.width/2,area.height/1.63
	screen.blit(text, textrect)
	
	font = pygame.font.Font("data/fonts/Breip.ttf", 50)
	text = font.render("Press any key to start the game.", 1, (0,0,0))
	textrect = text.get_rect()
	textrect.centerx, textrect.centery = area.width/2,area.height/2+140
	screen.blit(text, textrect)
	
	

	
	pygame.display.flip() # make everything we have drawn on the screen become visible in the window
	





	
	
#Check to see if the user has clicked the mouse or pressed a key
	

	
while activity.index<15:	
#Check to see if the user has clicked the mouse or pressed a key
	#for event in pygame.event.get():
		#if event.type == pygame.QUIT:
			#sys.exit()
			
		activity.generate_word()

		# Draw everything to the screen
		#screen.blit(background,(0,0)) 
		#screen.blit(text, textrect)
		pygame.display.flip()

	
		
	
	
			


	# Draw everything to the screen
	#screen.blit(background,(0,0)) 
	#screen.blit(text, textrect)
	#pygame.display.flip()
	



	
	


